"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.asyncMap = void 0;
const asyncMap = (iterable, limit, asyncFn) => __awaiter(void 0, void 0, void 0, function* () {
    const results = [];
    let currentIndex = limit;
    yield Promise.all(iterable.slice(0, limit).map((item, i) => __awaiter(void 0, void 0, void 0, function* () {
        results[i] = yield asyncFn(item, i);
        while (currentIndex < iterable.length) {
            currentIndex += 1;
            results[currentIndex - 1] = yield asyncFn(iterable[currentIndex - 1], currentIndex - 1);
        }
    })));
    return results;
});
exports.asyncMap = asyncMap;
exports.default = exports.asyncMap;
//# sourceMappingURL=asyncMap.js.map