"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const TransferManager_1 = __importDefault(require("./TransferManager"));
const async_map_1 = __importDefault(require("../helpers/async-map"));
class CopyManager extends TransferManager_1.default {
    constructor(options = {}) {
        super(options);
        const { targetBucket } = options;
        this.targetBucket = targetBucket;
    }
    done() {
        return __awaiter(this, void 0, void 0, function* () {
            yield (0, async_map_1.default)(this.objects, this.maxConcurrentTransfers, (bucketObject) => __awaiter(this, void 0, void 0, function* () {
                return (bucketObject.copy({
                    client: this.client,
                    targetBucket: this.targetBucket,
                    commandInput: this.commandInput,
                    monitor: this.monitor,
                    abortSignal: this.abortController.signal,
                }));
            }));
        });
    }
}
exports.default = CopyManager;
//# sourceMappingURL=CopyManager.js.map