import { CopyObjectCommandInput, GetObjectCommandInput, S3Client } from '@aws-sdk/client-s3';
import { AbortSignal } from '@aws-sdk/abort-controller';
import { TransferMonitor } from '../TransferMonitor';
import { SyncObject, SyncObjectOptions } from './SyncObject';
export type BucketObjectOptions = {
    bucket: string;
    key: string;
} & SyncObjectOptions;
export type BucketObjectCopyOptions = {
    client: S3Client;
    targetBucket: string;
    abortSignal?: AbortSignal;
    commandInput?: CopyObjectCommandInput;
    monitor?: TransferMonitor;
};
export type BucketObjectDownloadOptions = {
    client: S3Client;
    localDir: string;
    abortSignal?: AbortSignal;
    commandInput?: GetObjectCommandInput;
    monitor?: TransferMonitor;
};
export declare class BucketObject extends SyncObject {
    bucket: string;
    key: string;
    constructor(options: BucketObjectOptions);
    download(options: BucketObjectDownloadOptions): Promise<void>;
    copy(options: BucketObjectCopyOptions): Promise<void>;
}
export default BucketObject;
