"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const node_fs_1 = require("node:fs");
const path = __importStar(require("node:path"));
const PathHelper_1 = require("../helpers/PathHelper");
const LocalObject_1 = __importDefault(require("../sync-objects/LocalObject"));
function listLocalObjects(currentDir, rootDir = currentDir, objects = []) {
    return __awaiter(this, void 0, void 0, function* () {
        const childPaths = yield node_fs_1.promises.readdir(currentDir);
        for (const childPath of childPaths) {
            const filePath = path.join(currentDir, childPath);
            const stats = yield node_fs_1.promises.stat(filePath);
            if (stats.isDirectory()) {
                yield this.listLocalObjects(filePath, rootDir, objects);
            }
            else {
                const id = (0, PathHelper_1.toPosixPath)(path.relative(rootDir, filePath));
                objects.push(new LocalObject_1.default({
                    id,
                    lastModified: stats.mtimeMs,
                    size: stats.size,
                    path: filePath,
                }));
            }
        }
        return objects;
    });
}
exports.default = listLocalObjects;
//# sourceMappingURL=listLocalObjects.js.map